// KeygenDlg.h : header file
//

#if !defined(AFX_KEYGENDLG_H__AB787996_F70B_4334_B961_D23D6D93FC35__INCLUDED_)
#define AFX_KEYGENDLG_H__AB787996_F70B_4334_B961_D23D6D93FC35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CKeygenDlg dialog

class CKeygenDlg : public CDialog
{
// Construction
public:
	CKeygenDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CKeygenDlg)
	enum { IDD = IDD_KEYGEN_DIALOG };
	CString	m_sName;
	CString	m_sSerial;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeygenDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CKeygenDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBgenerate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYGENDLG_H__AB787996_F70B_4334_B961_D23D6D93FC35__INCLUDED_)
